package com.yeejoin.amos.maintenance.business.service.intfc;

import java.util.HashMap;
import java.util.List;

import org.springframework.data.domain.Page;

import com.yeejoin.amos.maintenance.business.param.CatalogTreePageParam;
import com.yeejoin.amos.maintenance.dao.entity.CatalogTree;

public interface ICatalogTreeService {
    /**
     * 树结构查询
     * @param orgCode
     * @return
     */
	List<Object> getCatalogTree(String orgCode);

	void addCatalogTree(HashMap<String, Object> map);

	void delCatalogTreeById(Long[] param);

	Page<HashMap<String, Object>> getCatalogTreeInfo(String toke,String product,String appKey,CatalogTreePageParam param);

	CatalogTree queryCatalogTreeById(Long id);

	String[] getCataLogList(String loginOrgCode);

	List<CatalogTree> queryCatalogTreeByIds(List<Long> ids);

	List<CatalogTree> getCatalogList(String orgCode);

	void checkModifyCatalogTreeResult(CatalogTree param);

	List<CatalogTree> AllCatalogChrildList(String orgCode,Long parentId);
}
